//------------------------------------------------------------------
#property copyright "mladen"
#property link      "mladenfx@gmail.com"
//------------------------------------------------------------------
#property indicator_separate_window
#property indicator_buffers 8
#property indicator_color1  C'0,125,0'
#property indicator_color2  C'0,140,0'
#property indicator_color3  C'0,155,0'
#property indicator_color4  C'0,170,0'
#property indicator_color5  C'0,185,0'
#property indicator_color6  C'0,200,0'
#property indicator_color7  C'0,215,0'
#property indicator_color8  C'0,230,0'
#property indicator_minimum 0
#property indicator_maximum 100

//
//
//
//
//

extern int    RsiLength1 =  5;
extern int    RsiLength2 =  8;
extern int    RsiLength3 = 11;
extern int    RsiLength4 = 14;
extern int    RsiLength5 = 17;
extern int    RsiLength6 = 20;
extern int    RsiLength7 = 24;
extern int    RsiLength8 =  0;
extern int    RsiPrice   = PRICE_CLOSE;
double rsiBuffer1[];
double rsiBuffer2[];
double rsiBuffer3[];
double rsiBuffer4[];
double rsiBuffer5[];
double rsiBuffer6[];
double rsiBuffer7[];
double rsiBuffer8[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,rsiBuffer1);
   SetIndexBuffer(1,rsiBuffer2);
   SetIndexBuffer(2,rsiBuffer3);
   SetIndexBuffer(3,rsiBuffer4);
   SetIndexBuffer(4,rsiBuffer5);
   SetIndexBuffer(5,rsiBuffer6);
   SetIndexBuffer(6,rsiBuffer7);
   SetIndexBuffer(7,rsiBuffer8);
   IndicatorShortName("RSI fan");
   return(0);
}
int deinit(){ return(0); }


//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int start()
{
   int counted_bars = IndicatorCounted();
      if(counted_bars < 0) return(-1);
      if(counted_bars > 0) counted_bars--;
           int limit = MathMin(Bars-counted_bars,Bars-1);

 	for(int i = limit; i>=0; i--)
 	{
 	    if (RsiLength1>1)  rsiBuffer1[i] = iRSI(NULL,0,RsiLength1,RsiPrice,i);
 	    if (RsiLength2>1)  rsiBuffer2[i] = iRSI(NULL,0,RsiLength2,RsiPrice,i);
 	    if (RsiLength3>1)  rsiBuffer3[i] = iRSI(NULL,0,RsiLength3,RsiPrice,i);
 	    if (RsiLength4>1)  rsiBuffer4[i] = iRSI(NULL,0,RsiLength4,RsiPrice,i);
 	    if (RsiLength5>1)  rsiBuffer5[i] = iRSI(NULL,0,RsiLength5,RsiPrice,i);
 	    if (RsiLength6>1)  rsiBuffer6[i] = iRSI(NULL,0,RsiLength6,RsiPrice,i);
 	    if (RsiLength7>1)  rsiBuffer7[i] = iRSI(NULL,0,RsiLength7,RsiPrice,i);
 	    if (RsiLength8>1)  rsiBuffer8[i] = iRSI(NULL,0,RsiLength8,RsiPrice,i);
   } 	    
   return(0);
}